<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccountingPeriodSearchBasic StructType
 * @subpackage Structs
 */
class AccountingPeriodSearchBasic extends SearchRecordBasic
{
    /**
     * The allLocked
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $allLocked;
    /**
     * The allowNonGlChanges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $allowNonGlChanges;
    /**
     * The apLocked
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $apLocked;
    /**
     * The arLocked
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $arLocked;
    /**
     * The closed
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $closed;
    /**
     * The closedOnDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $closedOnDate;
    /**
     * The endDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $endDate;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isAdjust
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isAdjust;
    /**
     * The isInactive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isInactive;
    /**
     * The isQuarter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isQuarter;
    /**
     * The isYear
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isYear;
    /**
     * The parent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $parent;
    /**
     * The payrollLocked
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $payrollLocked;
    /**
     * The periodName
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $periodName;
    /**
     * The startDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $startDate;
    /**
     * Constructor method for AccountingPeriodSearchBasic
     * @uses AccountingPeriodSearchBasic::setAllLocked()
     * @uses AccountingPeriodSearchBasic::setAllowNonGlChanges()
     * @uses AccountingPeriodSearchBasic::setApLocked()
     * @uses AccountingPeriodSearchBasic::setArLocked()
     * @uses AccountingPeriodSearchBasic::setClosed()
     * @uses AccountingPeriodSearchBasic::setClosedOnDate()
     * @uses AccountingPeriodSearchBasic::setEndDate()
     * @uses AccountingPeriodSearchBasic::setInternalId()
     * @uses AccountingPeriodSearchBasic::setInternalIdNumber()
     * @uses AccountingPeriodSearchBasic::setIsAdjust()
     * @uses AccountingPeriodSearchBasic::setIsInactive()
     * @uses AccountingPeriodSearchBasic::setIsQuarter()
     * @uses AccountingPeriodSearchBasic::setIsYear()
     * @uses AccountingPeriodSearchBasic::setParent()
     * @uses AccountingPeriodSearchBasic::setPayrollLocked()
     * @uses AccountingPeriodSearchBasic::setPeriodName()
     * @uses AccountingPeriodSearchBasic::setStartDate()
     * @param \StructType\SearchBooleanField $allLocked
     * @param \StructType\SearchBooleanField $allowNonGlChanges
     * @param \StructType\SearchBooleanField $apLocked
     * @param \StructType\SearchBooleanField $arLocked
     * @param \StructType\SearchBooleanField $closed
     * @param \StructType\SearchDateField $closedOnDate
     * @param \StructType\SearchDateField $endDate
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isAdjust
     * @param \StructType\SearchBooleanField $isInactive
     * @param \StructType\SearchBooleanField $isQuarter
     * @param \StructType\SearchBooleanField $isYear
     * @param \StructType\SearchMultiSelectField $parent
     * @param \StructType\SearchBooleanField $payrollLocked
     * @param \StructType\SearchStringField $periodName
     * @param \StructType\SearchDateField $startDate
     */
    public function __construct(\StructType\SearchBooleanField $allLocked = null, \StructType\SearchBooleanField $allowNonGlChanges = null, \StructType\SearchBooleanField $apLocked = null, \StructType\SearchBooleanField $arLocked = null, \StructType\SearchBooleanField $closed = null, \StructType\SearchDateField $closedOnDate = null, \StructType\SearchDateField $endDate = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isAdjust = null, \StructType\SearchBooleanField $isInactive = null, \StructType\SearchBooleanField $isQuarter = null, \StructType\SearchBooleanField $isYear = null, \StructType\SearchMultiSelectField $parent = null, \StructType\SearchBooleanField $payrollLocked = null, \StructType\SearchStringField $periodName = null, \StructType\SearchDateField $startDate = null)
    {
        $this
            ->setAllLocked($allLocked)
            ->setAllowNonGlChanges($allowNonGlChanges)
            ->setApLocked($apLocked)
            ->setArLocked($arLocked)
            ->setClosed($closed)
            ->setClosedOnDate($closedOnDate)
            ->setEndDate($endDate)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsAdjust($isAdjust)
            ->setIsInactive($isInactive)
            ->setIsQuarter($isQuarter)
            ->setIsYear($isYear)
            ->setParent($parent)
            ->setPayrollLocked($payrollLocked)
            ->setPeriodName($periodName)
            ->setStartDate($startDate);
    }
    /**
     * Get allLocked value
     * @return \StructType\SearchBooleanField|null
     */
    public function getAllLocked()
    {
        return $this->allLocked;
    }
    /**
     * Set allLocked value
     * @param \StructType\SearchBooleanField $allLocked
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setAllLocked(\StructType\SearchBooleanField $allLocked = null)
    {
        $this->allLocked = $allLocked;
        return $this;
    }
    /**
     * Get allowNonGlChanges value
     * @return \StructType\SearchBooleanField|null
     */
    public function getAllowNonGlChanges()
    {
        return $this->allowNonGlChanges;
    }
    /**
     * Set allowNonGlChanges value
     * @param \StructType\SearchBooleanField $allowNonGlChanges
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setAllowNonGlChanges(\StructType\SearchBooleanField $allowNonGlChanges = null)
    {
        $this->allowNonGlChanges = $allowNonGlChanges;
        return $this;
    }
    /**
     * Get apLocked value
     * @return \StructType\SearchBooleanField|null
     */
    public function getApLocked()
    {
        return $this->apLocked;
    }
    /**
     * Set apLocked value
     * @param \StructType\SearchBooleanField $apLocked
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setApLocked(\StructType\SearchBooleanField $apLocked = null)
    {
        $this->apLocked = $apLocked;
        return $this;
    }
    /**
     * Get arLocked value
     * @return \StructType\SearchBooleanField|null
     */
    public function getArLocked()
    {
        return $this->arLocked;
    }
    /**
     * Set arLocked value
     * @param \StructType\SearchBooleanField $arLocked
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setArLocked(\StructType\SearchBooleanField $arLocked = null)
    {
        $this->arLocked = $arLocked;
        return $this;
    }
    /**
     * Get closed value
     * @return \StructType\SearchBooleanField|null
     */
    public function getClosed()
    {
        return $this->closed;
    }
    /**
     * Set closed value
     * @param \StructType\SearchBooleanField $closed
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setClosed(\StructType\SearchBooleanField $closed = null)
    {
        $this->closed = $closed;
        return $this;
    }
    /**
     * Get closedOnDate value
     * @return \StructType\SearchDateField|null
     */
    public function getClosedOnDate()
    {
        return $this->closedOnDate;
    }
    /**
     * Set closedOnDate value
     * @param \StructType\SearchDateField $closedOnDate
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setClosedOnDate(\StructType\SearchDateField $closedOnDate = null)
    {
        $this->closedOnDate = $closedOnDate;
        return $this;
    }
    /**
     * Get endDate value
     * @return \StructType\SearchDateField|null
     */
    public function getEndDate()
    {
        return $this->endDate;
    }
    /**
     * Set endDate value
     * @param \StructType\SearchDateField $endDate
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setEndDate(\StructType\SearchDateField $endDate = null)
    {
        $this->endDate = $endDate;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isAdjust value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsAdjust()
    {
        return $this->isAdjust;
    }
    /**
     * Set isAdjust value
     * @param \StructType\SearchBooleanField $isAdjust
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setIsAdjust(\StructType\SearchBooleanField $isAdjust = null)
    {
        $this->isAdjust = $isAdjust;
        return $this;
    }
    /**
     * Get isInactive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsInactive()
    {
        return $this->isInactive;
    }
    /**
     * Set isInactive value
     * @param \StructType\SearchBooleanField $isInactive
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setIsInactive(\StructType\SearchBooleanField $isInactive = null)
    {
        $this->isInactive = $isInactive;
        return $this;
    }
    /**
     * Get isQuarter value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsQuarter()
    {
        return $this->isQuarter;
    }
    /**
     * Set isQuarter value
     * @param \StructType\SearchBooleanField $isQuarter
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setIsQuarter(\StructType\SearchBooleanField $isQuarter = null)
    {
        $this->isQuarter = $isQuarter;
        return $this;
    }
    /**
     * Get isYear value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsYear()
    {
        return $this->isYear;
    }
    /**
     * Set isYear value
     * @param \StructType\SearchBooleanField $isYear
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setIsYear(\StructType\SearchBooleanField $isYear = null)
    {
        $this->isYear = $isYear;
        return $this;
    }
    /**
     * Get parent value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getParent()
    {
        return $this->parent;
    }
    /**
     * Set parent value
     * @param \StructType\SearchMultiSelectField $parent
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setParent(\StructType\SearchMultiSelectField $parent = null)
    {
        $this->parent = $parent;
        return $this;
    }
    /**
     * Get payrollLocked value
     * @return \StructType\SearchBooleanField|null
     */
    public function getPayrollLocked()
    {
        return $this->payrollLocked;
    }
    /**
     * Set payrollLocked value
     * @param \StructType\SearchBooleanField $payrollLocked
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setPayrollLocked(\StructType\SearchBooleanField $payrollLocked = null)
    {
        $this->payrollLocked = $payrollLocked;
        return $this;
    }
    /**
     * Get periodName value
     * @return \StructType\SearchStringField|null
     */
    public function getPeriodName()
    {
        return $this->periodName;
    }
    /**
     * Set periodName value
     * @param \StructType\SearchStringField $periodName
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setPeriodName(\StructType\SearchStringField $periodName = null)
    {
        $this->periodName = $periodName;
        return $this;
    }
    /**
     * Get startDate value
     * @return \StructType\SearchDateField|null
     */
    public function getStartDate()
    {
        return $this->startDate;
    }
    /**
     * Set startDate value
     * @param \StructType\SearchDateField $startDate
     * @return \StructType\AccountingPeriodSearchBasic
     */
    public function setStartDate(\StructType\SearchDateField $startDate = null)
    {
        $this->startDate = $startDate;
        return $this;
    }
}
